
clear all
close all
clc
format long

L = 1;
n = 100;
[ A,Ah,h ] = oneDLaplacianMatrix( n, L );

[V,D] = eig(A);
d = diag(D);

figure
plot(d)


x = V(:,1)+V(:,5)+V(:,52);
maxx = max(abs(x));
x = x / maxx;
b = zeros(size(x));

omega = 1/4;
nu = 20;
figure
plot([0:h:L],[0;x;0],'linewidth',2)
hold on
for i=1:10
    x = richardsonSmoother(x,A,b,omega,nu);
    plot([0:h:L],[0;x;0],'linewidth',2)
end
box on 
grid on