#ifndef KATOPTRON_RANDOMVARIABLE_H
#define KATOPTRON_RANDOMVARIABLE_H

#include "katoptron.h"
#include <vector>

namespace katoptron
{

/**
 * @brief Class containing the realisations of the random Gaussian variables.
  */
class KATOPTRON_API RandomVariable
{
public:
    std::vector<double> values;
    size_t sizex;
    size_t sizey;
    double *arr;

    RandomVariable(std::vector<double> const &_values) : values(_values){};
};
} // namespace katoptron

#endif //KATOPTRON_RANDOMVARIABLE_H
