rm -rf CMake*
cmake \
  -D CMAKE_CXX_COMPILER:FILEPATH=mpicxx \
  -D CMAKE_C_COMPILER:FILEPATH=mpicc \
  -D TRILINOS_SOURCE_DIR:PATH="/home/knliege/dev/trilinos_all/Trilinos" \
  -D TRILINOS_BUILD_DIR:PATH="/home/knliege/dev/trilinos_all/Trilinos_Blake_B" \
  -D VTK_DIR:PATH="/home/knliege/local/vtk_blake/lib/cmake/vtk-9.0" \
  -D EIGEN_INCLUDE_DIRS:PATH="/ascldap/users/knliege/local/" \
  -D CMAKE_CXX_FLAGS="-g -O3 -xCommon-AVX512 -fopenmp" \
  -D WAVES_USE_FDTD:BOOL=OFF \
  -D WAVES_USE_FLOW:BOOL=OFF \
  -D WAVES_USE_HEAT:BOOL=OFF \
  -D WAVES_USE_MIRRORS:BOOL=OFF \
  -D WAVES_USE_PARAMS:BOOL=OFF \
  -D WAVES_USE_SPH:BOOL=OFF \
  -D WAVES_USE_TLNOS:BOOL=OFF \
  -D WAVES_USE_WAVES:BOOL=OFF \
../waves
